Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ThemeView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface ThemeView
extends MarkupBasedView

*

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. A Instance or a Definition however can always be obtained from the view. The persistence APIs provides course grain and fine grain getters but only fine grain setters. If you are interested in an object and all its children then retrieve the View, if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

View class for a theme. A theme can be though of as a nested look and feel. Book Pages and Portlets can be themed.

See Also:
  `View`

Method Summary
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this theme.
`ThemeDefinition` | `getThemeDefinition()` Retrieve the associated `themeDefinition` from this theme View. theme Views are immutable but theme Definitions are not.
`ThemeDefinitionId` | `getThemeDefinitionId()` Getter for theme definition id.
`String` | `getThemeFile()` Retrieve the file name used to create this theme. themes are created via .theme files
`String` | `getWebAppName()` Return the name of the webapp that this theme is associated with.
`boolean` | `isDeleted()` If isDeleted is true then the theme has been removed from the file system.

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Getter for theme definition id. The theme id is the primary key value for the theme definition in the PF_THEME_DEFINITION table. Unlike Book Pages and Portlets, themes do not have instances. The admin or end user can still change his or her theme but they are customizing the book not the theme.

  Returns:
    a non null unique definition id. This value should never be null as views are constructed via the persistence API.

### getThemeDefinition

    public ThemeDefinition getThemeDefinition()

  Retrieve the associated `themeDefinition` from this theme View. theme Views are immutable but theme Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API. The theme Definition is constructed (in the database) and updated via its .theme file. If you create a new .theme file then a new theme Definition is created in the database. If you edit the file the changes are automatically seen in the database. (during dev time we poll the file system and in production we update the database whenever the webapp is redeployed.

  Returns:
    a non null theme Definition

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this theme.

  Returns:
    a non null LocalizationResourceView customized per the request.

### getWebAppName

    public String getWebAppName()

  Return the name of the webapp that this theme is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns:
    a non null webapp name.

### getThemeFile

    public String getThemeFile()

  Retrieve the file name used to create this theme. themes are created via .theme files

  Returns:
    the file name associated with this theme.

### isDeleted

    public boolean isDeleted()

  If isDeleted is true then the theme has been removed from the file system. It was not out right deleted from the database because it is in use by some desktop somewhere in the system. Either restore the file and this flag will go back to false or remove/replace this theme via the admin tools.

  If this flag is set on an object the admin tools will display the object with a different icon to denote that it has been removed from the file system.

  Returns:
    true if this file hase been deleted from the files system.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved